# -*- coding: utf-8 -*-
# @Time : 2023/7/25 15:35
# @Author : XuJiakai
# @File : data_utils
# @Software: PyCharm

from datetime import datetime

from data_clean.exception.ruler_validation_exception import RulerValidationException

establish_state_time = datetime(year=1949, month=10, day=1)


def get_update_time():
    return datetime.now().strftime("%Y-%m-%d %H:%M:%S")
    pass


def str_2_date_time(date_str, format="%Y-%m-%d %H:%M:%S"):
    try:
        return datetime.strptime(date_str, format)
    except Exception as ex:
        raise RulerValidationException("%s,时间解析异常，%s" % (date_str, str(ex)))
        pass
    pass


def get_now_datetime():
    return datetime.now()
    pass


if __name__ == '__main__':
    print(get_update_time())
    pass
